> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/databases/v2/snapshots/retrieve-snapshot.md).

# Retrieve Snapshot

Returns the Snapshot by ID.

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD DBaaS In-Memory DB","version":"2.0.0"},"tags":[{"name":"Snapshots","description":"A snapshot represents the restorable history of a cluster. Each snapshot\ncovers a recovery window (a time range): you choose a target time within it, and the cluster is\nrestored from the most recent snapshot taken at or before that time. In-Memory DB does not provide\ncontinuous point-in-time recovery. Snapshots are retained according to the cluster's snapshot\nretention policy and can be used to provision a new cluster pre-populated with existing data.\nThis tag groups all operations for snapshots.\n"}],"servers":[{"url":"https://in-memory-db.de-fra.ionos.com/v2","description":"Germany, Frankfurt (de-fra)"},{"url":"https://in-memory-db.de-txl.ionos.com/v2","description":"Germany, Berlin"},{"url":"https://in-memory-db.es-vit.ionos.com/v2","description":"Spain, Logroño"},{"url":"https://in-memory-db.gb-bhx.ionos.com/v2","description":"United Kingdom, Worcester"},{"url":"https://in-memory-db.gb-lhr.ionos.com/v2","description":"United Kingdom, London"},{"url":"https://in-memory-db.us-ewr.ionos.com/v2","description":"United States, Newark"},{"url":"https://in-memory-db.us-las.ionos.com/v2","description":"United States, Las Vegas"},{"url":"https://in-memory-db.us-mci.ionos.com/v2","description":"United States, Lenexa"},{"url":"https://in-memory-db.fr-par.ionos.com/v2","description":"France, Paris"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"SnapshotRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Snapshot.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["snapshot"]},"href":{"description":"The URL of the Snapshot.","type":"string"},"metadata":{"$ref":"#/components/schemas/NoMetadata"},"properties":{"$ref":"#/components/schemas/Snapshot"}}},"NoMetadata":{"type":"object","additionalProperties":false,"readOnly":true},"Snapshot":{"type":"object","description":"The restorable history of an In-Memory DB cluster. A snapshot covers a recovery window\n(a time range): choosing a target time restores the cluster from the most recent snapshot\nat or before that time. In-Memory DB does not provide continuous point-in-time recovery.\n","readOnly":true,"properties":{"clusterId":{"type":"string","format":"uuid","description":"The ID of the cluster this snapshot belongs to."},"clusterName":{"type":"string","readOnly":true,"description":"The name of the In-Memory DB cluster this snapshot belongs to."},"datacenterId":{"type":"string","format":"uuid","description":"The ID of the data center where the snapshot was created.\nSnapshots are not available across data centers.\n"},"earliestRecoveryTargetTime":{"type":"string","format":"date-time","description":"The earliest time for which a snapshot is available to restore from."},"latestRecoveryTargetTime":{"type":"string","format":"date-time","nullable":true,"description":"The most recent time for which a snapshot is available to restore from.\nIf a snapshot is available up to the current time, this field will be null.\n"},"location":{"$ref":"#/components/schemas/SnapshotLocationName"},"clusterVersion":{"$ref":"#/components/schemas/ClusterVersion"},"snapshotSize":{"type":"number","description":"The size of the snapshot in gigabytes (GB)."},"requiredSizeForRestore":{"type":"number","description":"The minimum storage size in gigabytes (GB) required on the target cluster\nto restore from this snapshot.\n"}}},"SnapshotLocationName":{"description":"The Object Storage location where snapshots will be stored.\nFor added data safety, use a different location than the cluster.\nA list of supported locations is provided by the SnapshotLocations endpoint.\n","type":"string"},"ClusterVersion":{"type":"string","description":"The version for the cluster. Use GET /versions to retrieve\nthe list of supported versions. To upgrade, provide a version listed\nin canUpgradeTo for the current version. Downgrades are not supported.\n"},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/snapshots/{snapshotId}":{"get":{"operationId":"snapshotsFindById","summary":"Retrieve Snapshot","tags":["Snapshots"],"description":"Returns the Snapshot by ID.","parameters":[{"name":"snapshotId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Snapshot."}],"responses":{"200":{"description":"Getting Snapshot was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapshotRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/databases/v2/snapshots/retrieve-snapshot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
